Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002875Zandronum[All Projects] Bugpublic2016-10-09 22:452018-09-13 21:12
Reporterunknownna 
Assigned ToLeonard 
PrioritynormalSeveritytweakReproducibilityalways
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version2.1 
Target Version3.1Fixed in Version 
Summary0002875: "smooth_mouse 1" potentially hard-coded into Zandronum's mouse behavior
Description
Quote from unknownna
I recall that Torr told me that smooth_mouse does nothing in Skulltag/Zandronum [...]

Quote from Source comment
smooth_mouse doesn't do anything in Skulltag (Carn deactivated it long ago) [...]

Quote from unknownna
I noticed one difference between ZDoom and Zandronum with cl_capfps 0: The view is jittery in ZDoom and smooth in Zandronum when aiming and moving around at the same time. In ZDoom, you have to use "smooth_mouse 1" to make the view as smooth as Zandronum. Could it be that Carnevil hard-coded "smooth_mouse 1" into Skulltag's default mouse behavior and thus disabled smooth_mouse altogether?
Attached Files

- Relationships

-  Notes
User avatar (0015871)
Edward-san (developer)
2016-10-09 22:54

To be more precise, the deactivated code is in r_utility.cpp line 591, marked with:


// [BC] This makes the mouse incredibly jerky for client games.


LocalKeyboardTurner saves the value of smooth_mouse when needed.
User avatar (0015913)
Ru5tK1ng (updater)
2016-10-12 00:52

So should the menu option continue to toggle m_filter? I don't see anyone actively trying to use no smooth mouse if it causes jitter issues.
User avatar (0015917)
Edward-san (developer)
2016-10-12 08:55

For now yes. This ticket can be kept open in case somebody wants to fix the discrepancy :P
User avatar (0018619)
Leonard (developer)
2017-10-23 14:03

PR.
User avatar (0018626)
Torr Samaho (administrator)
2017-10-26 19:26

I added your pull request.
User avatar (0018819)
Leonard (developer)
2017-11-08 18:09

Just noticed there was a missing check for zandronum demos.
Fix PR here.
User avatar (0018861)
Leonard (developer)
2017-11-12 14:37

The fix was merged too.
User avatar (0019518)
unknownna (updater)
2018-09-13 17:33
edited on: 2018-09-13 21:12

The mouse feels more immediate, faster and less floaty in 3.1 compared to 3.0, and smooth_mouse seems to have an effect again. So I was correct in suspecting that Zandronum/Skulltag forced the mouse to be interpolated and thus slow the response down? The difference in response is now significant when playing with uncapped FPS and comparing 3.0 and 3.1 side by side. I remember people complaining for years on various forums that Skulltag's mouse felt slow and floaty compared to ZDoom and ZDaemon, and it's no wonder why when the mouse movement was forced to be interpolated. Zandronum 3.1 and ZDoom pre-2.4.0 (before mouse input was rewritten) feel pretty much identical now, with ZDoom maybe being marginally smoother when turning the mouse unless it's placebo.

And since smooth_mouse now works again, how about having the smooth mouse menu option toggle that again instead of m_filter? We decided to have the menu option toggle m_filter many years ago since smooth_mouse didn't work and ZDaemon toggled m_filter with the menu option. Now that it's more consistent with ZDoom and smooth_mouse works, the menu option should also toggle it again I think.

Thank you again very much for fixing this issue. I appreciate it a lot, and I'm sure that many competitive players will too.

Quote from Ru5tK1ng
So should the menu option continue to toggle m_filter? I don't see anyone actively trying to use no smooth mouse if it causes jitter issues.

I think the jitter might've been a separate ZDoom issue that was seemingly fixed in recent GZDoom versions. For some reason ZDoom didn't like SR50 aliases with cl_capfps 0, where you strafe and turn a direction at the same time while moving the mouse. The only way to "fix" the jitter was to turn on smooth_mouse in ZDoom. This issue is/was not present in Zandronum.

Name=-left2
Command=-left; -moveleft // Moving mouse with this causes jitter in older ZDoom.
Name=-right2
Command=-right; -moveright // Moving mouse with this causes jitter in older ZDoom.
Name=+sr
Command=turnspeeds 65536; +strafe
Name=-sr
Command=turnspeeds 0; -strafe



Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-10-09 22:45 unknownna New Issue
2016-10-09 22:45 unknownna Severity trivial => feature
2016-10-09 22:46 unknownna Description Updated View Revisions
2016-10-09 22:54 Edward-san Note Added: 0015871
2016-10-12 00:52 Ru5tK1ng Note Added: 0015913
2016-10-12 08:55 Edward-san Note Added: 0015917
2017-10-22 22:15 Leonard Assigned To => Leonard
2017-10-22 22:15 Leonard Priority low => normal
2017-10-22 22:15 Leonard Severity feature => tweak
2017-10-22 22:15 Leonard Status new => assigned
2017-10-22 22:15 Leonard Target Version => 3.1
2017-10-23 14:03 Leonard Note Added: 0018619
2017-10-23 14:03 Leonard Status assigned => needs review
2017-10-26 19:26 Torr Samaho Note Added: 0018626
2017-10-26 19:26 Torr Samaho Status needs review => needs testing
2017-11-08 18:09 Leonard Note Added: 0018819
2017-11-08 18:09 Leonard Status needs testing => needs review
2017-11-12 14:37 Leonard Note Added: 0018861
2017-11-12 14:37 Leonard Status needs review => needs testing
2018-09-13 17:33 unknownna Note Added: 0019518
2018-09-13 21:12 unknownna Note Edited: 0019518 View Revisions






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker